<?php if(!defined('PLX_ROOT')) exit; ?>
<?php
/**
 * Plugin for Pluxml
 * @author	DPFPIC
 * Site : http://dpfpic.com
 * Licence GNU_GPL
 **/
 
# Control du token du formulaire
plxToken::validateFormToken($_POST);

$racine_plugins_config = PLX_ROOT.PLX_CONFIG_PATH.'plugins/tchat/minitchat.xml';
$num = 0;

function trim_value(&$value){
  return trim($value, " \t\n\r\0\x0B/");
}

if (isset($_POST['selection']) AND $_POST['selection']=='delete') {
	$contents = array();
	$contents = $plxPlugin->minitchat->getMsg($racine_plugins_config);
	foreach ($_POST['id_msg'] as $k) {
		unset($contents[$k]);
	}
	$contents = array_values($contents);
	$plxPlugin->minitchat->saveMsg($contents, $racine_plugins_config);
	header('Location: parametres_plugin.php?p=plxMiniTchat');
	exit;
}

if(!empty($_POST) AND !isset($_POST['submitdel'])) {
	
	if($_POST['raz'] == 1 ) $plxPlugin->minitchat->RazMsg($racine_plugins_config);
	
	$plxPlugin->setParam('boxtitle', $_POST['boxtitle'], 'string');
	$plxPlugin->setParam('delay', $_POST['delay'], 'numeric');
	$plxPlugin->setParam('msgmax', $_POST['msgmax'], 'numeric');	
	$plxPlugin->setParam('supervision', $_POST['supervision'], 'numeric');
	$plxPlugin->setParam('afftitle', $_POST['afftitle'], 'numeric');		
	$plxPlugin->setParam('display', $_POST['display'], 'numeric');	
	$plxPlugin->setParam('prohibited_words_ok', $_POST['prohibited_words_ok'], 'numeric');	
	$plxPlugin->setParam('ipban_ok', $_POST['ipban_ok'], 'numeric');
	$plxPlugin->setParam('timeout', $_POST['timeout'], 'numeric');	
	$plxPlugin->setParam('soundsend', $_POST['soundsend'], 'numeric');	
	$plxPlugin->setParam('to', $_POST['to'], 'string');
	$plxPlugin->setParam('from', $plxAdmin->aUsers['001']['email'], 'string');
	$plxPlugin->setParam('prohibited_words', serialize( array_map('trim_value',explode("\n",strtolower(plxUtils::strCheck(trim(str_replace(array("\r\n","\r"),"\n",$_POST['prohibited_words']))))))), 'cdata');	
	$plxPlugin->setParam('ipban', serialize( array_map('trim_value',explode("\n",strtolower(plxUtils::strCheck(trim(str_replace(array("\r\n","\r"),"\n",$_POST['ipban']))))))), 'cdata');		
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=plxMiniTchat');
	exit;
}

$boxtitle =  $plxPlugin->getParam('boxtitle')=='' ? $plxPlugin->getLang('L_MT_TITLE') : $plxPlugin->getParam('boxtitle');
$delay =  $plxPlugin->getParam('delay')=='' ? 2000 : $plxPlugin->getParam('delay');
$msgmax =  $plxPlugin->getParam('msgmax')=='' ? 150 : $plxPlugin->getParam('msgmax');
$display =  $plxPlugin->getParam('display')=='' ? 20 : $plxPlugin->getParam('display');
$supervision =  $plxPlugin->getParam('supervision')=='' ? 0 : $plxPlugin->getParam('supervision');
$afftitle =  $plxPlugin->getParam('afftitle')=='' ? 1 : $plxPlugin->getParam('afftitle');
$prohibited_words_ok =  $plxPlugin->getParam('prohibited_words_ok')=='' ? 0 : $plxPlugin->getParam('prohibited_words_ok');
$ipban_ok =  $plxPlugin->getParam('ipban_ok')=='' ? 0 : $plxPlugin->getParam('ipban_ok');
$timeout =  $plxPlugin->getParam('timeout')=='' ? 10 : $plxPlugin->getParam('timeout');
$soundsend =  $plxPlugin->getParam('soundsend')=='' ? 0 : $plxPlugin->getParam('soundsend');
$prohibited_words = '';
$ipban = '';
$to = $plxPlugin->getParam('to')=='' ? $plxAdmin->aUsers['001']['email']:$plxPlugin->getParam('to');
$raz = 0;
if (!empty($plxPlugin->getParam('prohibited_words'))) {
	$prohibited_words = $plxPlugin->getParam('prohibited_words')=='' ? '':implode("\n", unserialize($plxPlugin->getParam('prohibited_words')));
}
if (!empty($plxPlugin->getParam('ipban'))) {
	$ipban = $plxPlugin->getParam('ipban')=='' ? '':implode("\n", unserialize($plxPlugin->getParam('ipban')));
}
?>
<?php if ($plxAdmin->aConf['version'] < '5.4') { ?>
<h2><?php echo $plxPlugin->getInfo('title') ?></h2>
<?php } ?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS; ?>plxMiniTchat/css/config.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php echo PLX_PLUGINS; ?>plxMiniTchat/js/config.js"></script>
<div>
	<span class="tab_0 tab" id="tab_01" onclick="javascript:change_tab('01');"><?php $plxPlugin->lang('L_MT_TAB01') ?></span>
	<span class="tab_0 tab" id="tab_02" onclick="javascript:change_tab('02');"><?php $plxPlugin->lang('L_MT_TAB02') ?></span>
	<span class="tab_0 tab" id="tab_03" onclick="javascript:change_tab('03');"><?php $plxPlugin->lang('L_MT_TAB03') ?></span>	
	<span class="tab_0 tab" id="tab_04" onclick="javascript:change_tab('04');"><?php $plxPlugin->lang('L_MT_TAB04') ?></span>
</div>
<form class="inline-form" id="form_plxMiniTchat" action="parametres_plugin.php?p=plxMiniTchat" method="post">
<div class="content_tab" id="content_tab_01">
	<?php
	if(function_exists('mail')) {
		echo '<span style="color:green"><strong>'.$plxPlugin->getLang('L_MT_MAIL_AVAILABLE').'</strong></span>';
	} else {
		echo '<span style="color:#ff0000"><strong>'.$plxPlugin->getLang('L_MT_MAIL_NOT_AVAILABLE').'</strong></span>';
	}
	?>
	<fieldset>
		<div class="grid">
			<div class="col sml-12">
			<label for="boxtitle"><?php $plxPlugin->lang('L_MT_BOXTITLE') ?>&nbsp;:</label>
			<?php plxUtils::printInput('boxtitle',$boxtitle,'boxtitle','32-32') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="afftitle"><?php $plxPlugin->lang('L_MT_AFF_TITLE') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('afftitle',array('1'=>L_YES,'0'=>L_NO),$afftitle); ?>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="delay"><?php echo $plxPlugin->lang('L_MT_DELAY') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('delay',array('2000'=>'2','5000'=>'5','10000'=>'10','15000'=>'15','20000'=>'20'),$delay); ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_MT_HELP_DELAY') ?></span></a>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="msgmax"><?php $plxPlugin->lang('L_MT_MSG_MAX') ?>&nbsp;:</label>
			<?php plxUtils::printInput('msgmax',$msgmax,'number','msgmax','32-32') ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_MT_HELP_MSG_MAX') ?></span></a>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="display"><?php $plxPlugin->lang('L_MT_DISPLAY') ?>&nbsp;:</label>
			<?php plxUtils::printInput('display',$display,'number','32-32') ?>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="display"><?php $plxPlugin->lang('L_MT_TIMEOUT') ?>&nbsp;:</label>
			<?php plxUtils::printInput('timeout',$timeout,'number','32-32') ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_MT_HELP_TIMEOUT') ?></span></a>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="soundsend"><?php echo $plxPlugin->lang('L_MT_SOUNDSEND') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('soundsend',array('0'=>'0','1'=>'Beep 1','2'=>'Beep 2','3'=>'Beep 3'),$soundsend); ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_MT_HELP_SOUNDSEND') ?></span></a>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="supervision"><?php $plxPlugin->lang('L_MT_SUPERVISION') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('supervision',array('1'=>L_YES,'0'=>L_NO),$supervision); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="to"><?php $plxPlugin->lang('L_MT_TO') ?>&nbsp;:</label>
			<?php plxUtils::printInput('to',$to,'text','50-255') ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_SBC_HELP_TO')?></span></a>
			</div>
		</div>	
	</div>	
	<div class="content_tab" id="content_tab_02">		
		<div class="grid">
			<div class="col sml-12">
			<label for="prohibited_words_ok"><?php $plxPlugin->lang('L_MT_PROHIBITED_WORDS_OK') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('prohibited_words_ok',array('1'=>L_YES,'0'=>L_NO),$prohibited_words_ok); ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_MT_HELP_PROHIBITED_WORDS') ?></span></a>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<?php plxUtils::printArea('prohibited_words',plxUtils::strCheck($prohibited_words),25,8,false); ?>
						</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="ipban_ok"><?php $plxPlugin->lang('L_MT_IPBAN_OK') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('ipban_ok',array('1'=>L_YES,'0'=>L_NO),$ipban_ok); ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_MT_HELP_IPBAN') ?></span></a>			
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<?php plxUtils::printArea('ipban',plxUtils::strCheck($ipban),25,8,false); ?>
			</div>
		</div>				
</div>
<div class="content_tab" id="content_tab_03">
<div class="col sml-12 med-7 lrg-8">	
<div class="grid">
<div class="col"><?php $plxPlugin->lang('L_MT_HISTORIC').$racine_plugins_config ?>&nbsp;:</div>
<div class="barre"><input type="checkbox" onclick="checkAll(this.form, 'id_msg[]')" /><strong>&nbsp;&nbsp;&nbsp;&nbsp;<?php $plxPlugin->lang('L_MT_BID') ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php $plxPlugin->lang('L_MT_BIP') ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php $plxPlugin->lang('L_MT_BMSG') ?></strong></div>
<div class="col board"><?php
		if(file_exists($racine_plugins_config) && filesize($racine_plugins_config) > 0){
		    $blank = '               ';
			$contents = array();
			$contents = $plxPlugin->minitchat->getMsg($racine_plugins_config);
			for($i=0;$i<count($contents);$i++) {
			    ++$num;
				$ip = $contents[$i]['ip'].str_repeat("&nbsp;",15-strlen($contents[$i]['ip']));
				$string = str_replace('<br />',' - ',$contents[$i]['message']);
				echo '<div class="msgln'.($num%2).'"><span><input type="checkbox" name="id_msg[]" value="'.$i.'" />&nbsp;&nbsp;'.sprintf('%03d', $i).'&nbsp;&nbsp;</span><span style="color:red;">'.$ip.'</span> - '.$string.'</div>';
			}
		}
		?>
</div>
</div>
<div class="grid">
	<div class="col sml-12">
		<?php plxUtils::printSelect('selection', array( '' =>L_FOR_SELECTION, 'delete' =>L_DELETE), '', false, '', 'id_msg') ?>
		<input type="submit" name="submitdel" value="<?php echo L_OK ?>" onclick="return confirmAction(this.form, 'id_msg', 'delete', 'id_msg[]', '<?php echo L_CONFIRM_DELETE ?>')" />
	</div>
</div>	
	<div class="grid">
		<div class="col sml-12">
			<label for="raz"><?php $plxPlugin->lang('L_MT_RAZ') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('raz',array('1'=>L_YES,'0'=>L_NO),$raz); ?>
			<a class="hint"><span><?php $plxPlugin->lang('L_MT_HELP_RAZ') ?></span></a>
		</div>
	</div>
</div>
</div>
		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_MT_SAVE') ?>" />
		</p>
	</fieldset>
</form>
<div class="content_tab" id="content_tab_04">
	<div id="update">
		<?php $infoPlugin = $plxPlugin->minitchat->UpdatePlugin('plxMiniTchat'); ?>
		<p><?php $plxPlugin->lang('L_VP_ACTUAL_VERSION'); ?>&nbsp;:&nbsp;<?php echo $infoPlugin['actualversion'].' ('.$infoPlugin['actualdate'].')'; ?></p>	
		<?php if ($infoPlugin['status'] == 0) { ?>
			<p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_ERROR'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxMiniTchat/img/vers/up_warning.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 1) { ?>
			<p><?php $plxPlugin->lang('L_VP_LAST_VERSION'); ?>&nbsp;<?php echo $infoPlugin['newplugin']; ?>.</p>
			<p><img src="<?php echo PLX_PLUGINS; ?>plxMiniTchat/img/vers/up_ok.gif" alt=""></p>
		<?php } elseif ($infoPlugin['status'] == 2) { ?>
			<p><?php $plxPlugin->lang('L_VP_NEW_VERSION'); ?><p>
			<p><span class="color"><?php echo $infoPlugin['newplugin']; ?>&nbsp;(<?php echo $infoPlugin['newversion']; ?>&nbsp;-&nbsp;<?php echo $infoPlugin['newdate']; ?>)</span></p>
			<p><?php $plxPlugin->lang('L_VP_NEW2_VERSION'); ?>.</p>
			<p><a href="<?php echo $infoPlugin['newurl']; ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxMiniTchat/img/vers/up_download.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 3) {?>
		    <p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_DESACTIVED'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxMiniTchat/img/vers/up_warning.gif" alt=""></a></p>
		<?php } ?>	
	</div>
</div>	
<script type="text/javascript">
var anc_tab = '01';
change_tab(anc_tab);
</script>

		